package com.mx.dla.dda.admin.revenue.actions;

import java.util.ArrayList;
import java.util.List;
import java.util.Locale;

import org.apache.ibatis.exceptions.PersistenceException;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import java.text.DateFormat;
import java.text.SimpleDateFormat;

import com.mx.dla.dda.carga.transaccion.bos.CargaTransaccionesBO;
import com.mx.dla.dda.catalogos.dtos.RegionVentaDTO;
import com.mx.dla.dda.catalogos.dtos.TerritorioDTO;
import com.mx.dla.global.actions.BaseAction;
import com.opensymphony.xwork2.Action;
public class RevenuePorcAction extends BaseAction {

	private static final long serialVersionUID = -1L;
	private static Logger log = Logger.getLogger(RevenuePorcAction.class);
	
	private boolean regresoAction;
	
	
	@Autowired
	private CargaTransaccionesBO bdsp;
	//private BloqueoSAPBO BloqueoSAPBO;
	
	private String fecha;
	
	@Override
	public String execute() throws Exception {		
		return SUCCESS;
	}
	
		

	
	public String ejecutaSP() {

		try {
			bdsp.ejecutaSP_porcR(fecha);
			
			
		} catch (Exception e) {
			addActionError("Ha ocurrido el siguiente error durante la consulta: "
					+ e.getMessage());
		}

		return Action.SUCCESS;
	}


	public String getFecha() {
		return fecha;
	}

	public void setFecha(String fecha) {
		this.fecha = fecha;
	}			
}
